SQL schema downgrades are no longer supported

Bug #1434103 reported by Henry Gessau on 2015-03-19
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ceilometer
Fix Released
Medium
Liusheng
Magnum
Fix Released
Undecided
Kai Qiang Wu(Kennan)
OpenStack DBaaS (Trove)
Medium
Trevor McCasland
OpenStack Identity (keystone)
Medium
Morgan Fainberg
Sahara
Fix Released
High
Sergey Reshetnyak
neutron
High
Ann Taraday
octavia
Fix Released
Medium
Sergey Belous

Bug Description

Approved cross-project spec: https://review.openstack.org/152337

Tags: db Edit Tag help
Henry Gessau (gessau) on 2015-03-19
tags: added: db
Changed in neutron:
assignee: nobody → Henry Gessau (gessau)
status: New → In Progress
Kyle Mestery (mestery) on 2015-03-19
Changed in neutron:
milestone: none → kilo-rc1
importance: Undecided → High
Changed in neutron:
assignee: Henry Gessau (gessau) → Ann Kamyshnikova (akamyshnikova)
Changed in neutron:
assignee: Ann Kamyshnikova (akamyshnikova) → Henry Gessau (gessau)
Changed in neutron:
assignee: Henry Gessau (gessau) → Ann Kamyshnikova (akamyshnikova)
Changed in neutron:
assignee: Ann Kamyshnikova (akamyshnikova) → Henry Gessau (gessau)
Changed in neutron:
assignee: Henry Gessau (gessau) → Ann Kamyshnikova (akamyshnikova)

Reviewed: https://review.openstack.org/163787
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=132f1be686a1e5f35818f04a4655345ad116d5c3
Submitter: Jenkins
Branch: master

commit 132f1be686a1e5f35818f04a4655345ad116d5c3
Author: Henry Gessau <email address hidden>
Date: Thu Mar 12 07:50:47 2015 -0400

    Drop support for SQL Schema Downgrades

    Remove downgrade from the --autogenerate option of neutron-db-manage.
    Add tests to check that downgrade options cannot be used.

    Related cross-project spec: https://review.openstack.org/152337
    Partial-Bug: 1434103

    Change-Id: Id2f7f521644828ab7fbc027c6037f76f0337e121

Reviewed: https://review.openstack.org/165740
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=b2cbb2d4af3ea3a4c5e173f647ce213f1ae0c9f8
Submitter: Jenkins
Branch: master

commit b2cbb2d4af3ea3a4c5e173f647ce213f1ae0c9f8
Author: Ann Kamyshnikova <email address hidden>
Date: Thu Mar 19 11:52:37 2015 +0300

    Remove downgrade from existing migrations

    Remove downgrade from all existing migrations.
    Create a test that verifies that no migration has a downgrade.

    Related cross-project spec: https://review.openstack.org/152337
    Closes-Bug: 1434103

    Change-Id: I2aad5f40f9aec9aea7ea869c9f30bc5ea586f3fe

Changed in neutron:
status: In Progress → Fix Committed
no longer affects: sahara (Ubuntu)
Changed in sahara:
status: New → Triaged
importance: Undecided → High
milestone: none → kilo-rc1
assignee: nobody → Sergey Reshetnyak (sreshetniak)

Fix proposed to branch: master
Review: https://review.openstack.org/167189

Changed in sahara:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/167189
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=ccc884aabd9cfa83a1eea5b27590975f210a4f6e
Submitter: Jenkins
Branch: master

commit ccc884aabd9cfa83a1eea5b27590975f210a4f6e
Author: Sergey Reshetnyak <email address hidden>
Date: Tue Mar 24 15:03:01 2015 +0300

    Drop support database downgrades

    Remove downgrade from migrations and tests

    Related cross-project spec:
    http://specs.openstack.org/openstack/openstack-specs/specs/no-downward-sql-migration.html

    Change-Id: Ib286cfdc6df19506e33194337ce8acb58991a139
    Closes-bug: #1434103

Changed in sahara:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/167834

Changed in keystone:
assignee: nobody → Morgan Fainberg (mdrnstm)
status: New → In Progress
Changed in keystone:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/167834
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=0d08cac3957fcc5259c2500496e067ddcf124d2d
Submitter: Jenkins
Branch: master

commit 0d08cac3957fcc5259c2500496e067ddcf124d2d
Author: Morgan Fainberg <email address hidden>
Date: Wed Mar 25 15:45:44 2015 -0700

    Remove SQL Downgrades

    SQL Schema Downgrades are no longer supported. This commit removes all
    downgrades and attempts to clearly indicate that there was an issue
    migrating the schema if a downgrade is requested.

    Closes-Bug: 1434103
    Change-Id: Ic023c90b354dd796dc78a03500f9680210b38673

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/167554
Committed: https://git.openstack.org/cgit/openstack/magnum/commit/?id=6b6d4674415c3055d15acd51cba08b8b2c78c3dc
Submitter: Jenkins
Branch: master

commit 6b6d4674415c3055d15acd51cba08b8b2c78c3dc
Author: Jay Lau (Guangya Liu) <email address hidden>
Date: Sat Mar 28 10:26:50 2015 +0800

    Remove downgrade from existing migrations

    Remove downgrade from all existing migrations.

    Related cross-project spec: https://review.openstack.org/152337

    Change-Id: I39135d99278b6bba13b5f09ffa382b87051d09ad
    Partial-Bug: 1434103

Changed in keystone:
milestone: none → kilo-rc1
Thierry Carrez (ttx) on 2015-04-07
Changed in keystone:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-09
Changed in sahara:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2015-04-09
Changed in neutron:
status: Fix Committed → Fix Released
Kai Qiang Wu(Kennan) (wkqwu) wrote :
Changed in magnum:
assignee: nobody → OpenStack Containers Team (openstack-containers-team)
status: New → Fix Committed
Kai Qiang Wu(Kennan) (wkqwu) wrote :

The fix was commit by @jay

https://review.openstack.org/#/c/167554/

Changed in magnum:
assignee: OpenStack Containers Team (openstack-containers-team) → Kai Qiang Wu(Kennan) (wkqwu)
yuntongjin (yuntongjin) on 2015-04-22
Changed in ceilometer:
assignee: nobody → yuntongjin (yuntongjin)
yuntongjin (yuntongjin) on 2015-04-24
Changed in trove:
assignee: nobody → yuntongjin (yuntongjin)
Thierry Carrez (ttx) on 2015-04-30
Changed in keystone:
milestone: kilo-rc1 → 2015.1.0
Thierry Carrez (ttx) on 2015-04-30
Changed in sahara:
milestone: kilo-rc1 → 2015.1.0
Thierry Carrez (ttx) on 2015-04-30
Changed in neutron:
milestone: kilo-rc1 → 2015.1.0
Adrian Otto (aotto) on 2015-05-05
Changed in magnum:
status: Fix Committed → Fix Released
gordon chung (chungg) on 2015-07-07
Changed in ceilometer:
status: New → Triaged
importance: Undecided → Medium
yuntongjin (yuntongjin) on 2015-07-23
Changed in ceilometer:
assignee: yuntongjin (yuntongjin) → nobody
Changed in trove:
assignee: yuntongjin (yuntongjin) → nobody

Reviewed: https://review.openstack.org/206986
Committed: https://git.openstack.org/cgit/openstack/neutron-lbaas/commit/?id=c5d5e3e22eabc5c1d2a32f312a672ae40aed2221
Submitter: Jenkins
Branch: master

commit c5d5e3e22eabc5c1d2a32f312a672ae40aed2221
Author: Ihar Hrachyshka <email address hidden>
Date: Wed Jul 29 13:02:15 2015 +0200

    Killed existing downgrade rules in migration scripts

    Change-Id: If98c08bc45e4bf0f7df40c43e8cb1abc36bd7873
    Partial-Bug: #1434103

Reviewed: https://review.openstack.org/206984
Committed: https://git.openstack.org/cgit/openstack/neutron-fwaas/commit/?id=0d581d01d8bf4b728b25460ca7db38b404f219a7
Submitter: Jenkins
Branch: master

commit 0d581d01d8bf4b728b25460ca7db38b404f219a7
Author: Ihar Hrachyshka <email address hidden>
Date: Wed Jul 29 12:58:47 2015 +0200

    Killed existing downgrade rules in migration scripts

    Change-Id: If98c08bc45e4bf0f7df40c43e8cb1abc36bd7873
    Partial-Bug: #1434103

Changed in ceilometer:
assignee: nobody → Liusheng (liusheng)
status: Triaged → In Progress

Reviewed: https://review.openstack.org/211379
Committed: https://git.openstack.org/cgit/openstack/ceilometer/commit/?id=c00f2c072312d666bc9b4176f3ea69c36b46f776
Submitter: Jenkins
Branch: master

commit c00f2c072312d666bc9b4176f3ea69c36b46f776
Author: liu-sheng <email address hidden>
Date: Tue Aug 11 09:17:38 2015 +0800

    Drop the downgrade function of migration scripts

    We stopped supporting downgrade of OpenStack, so drop the downgrade
    function of migration scripts.

    Change-Id: I785a19c312488eca531ffc2c4f4401562a283324
    Closes-Bug: #1434103

Changed in ceilometer:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/206990
Committed: https://git.openstack.org/cgit/openstack/neutron-vpnaas/commit/?id=c1a595a0474437e819596c1a62d055beeea29775
Submitter: Jenkins
Branch: master

commit c1a595a0474437e819596c1a62d055beeea29775
Author: Ihar Hrachyshka <email address hidden>
Date: Wed Jul 29 13:11:47 2015 +0200

    Killed existing downgrade rules in migration scripts

    Change-Id: If98c08bc45e4bf0f7df40c43e8cb1abc36bd7873
    Partial-Bug: #1434103

Thierry Carrez (ttx) on 2015-09-03
Changed in ceilometer:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Changed in trove:
assignee: nobody → Nikhil Manchanda (slicknik)
status: New → Triaged
Changed in trove:
milestone: none → liberty-rc1
importance: Undecided → Medium
milestone: liberty-rc1 → ongoing
Thierry Carrez (ttx) on 2015-10-15
Changed in ceilometer:
milestone: liberty-3 → 5.0.0
Amrith Kumar (amrith) wrote :

Trove marked the parameter deprecated in https://review.openstack.org/#/c/260285/6/trove/cmd/manage.py

Changed in trove:
milestone: ongoing → newton-1
Sergey Belous (sbelous) on 2016-06-07
Changed in octavia:
assignee: nobody → Sergey Belous (sbelous)

Fix proposed to branch: master
Review: https://review.openstack.org/326555

Changed in octavia:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/326560

Reviewed: https://review.openstack.org/326555
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=b44619e55a766ca56b52ad3b54afc9c1a7157338
Submitter: Jenkins
Branch: master

commit b44619e55a766ca56b52ad3b54afc9c1a7157338
Author: Sergey Belous <email address hidden>
Date: Tue Jun 7 17:47:31 2016 +0300

    Drop support for SQL Schema Downgrades

    SQL Schema Downgrades are no longer supported. This commit removes
    downgrade function from octavia-db-manage.

    Related cross-project spec: https://review.openstack.org/152337
    Partial-Bug: #1434103

    Change-Id: I0304d19ebb2de3a596c9f62825e664267ad60dd8

Reviewed: https://review.openstack.org/326560
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=b7e585e033473639d731faefaddb8f73dab89b02
Submitter: Jenkins
Branch: master

commit b7e585e033473639d731faefaddb8f73dab89b02
Author: Sergey Belous <email address hidden>
Date: Tue Jun 7 18:03:53 2016 +0300

    Killed existing downgrade rules in migration scripts

    Change-Id: I4957b23bf5bed52d67cf5b9346a416c4a0716723
    Partial-Bug: #1434103

Changed in octavia:
importance: Undecided → Medium
Changed in octavia:
status: In Progress → Fix Released
Amrith Kumar (amrith) on 2016-09-18
Changed in trove:
milestone: newton-1 → ongoing
Changed in trove:
assignee: Nikhil Manchanda (slicknik) → Trevor McCasland (twm2016)

Fix proposed to branch: master
Review: https://review.openstack.org/382676

Changed in trove:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/382676
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=6593986b34030b533bc66d112aaa6f873d519b52
Submitter: Jenkins
Branch: master

commit 6593986b34030b533bc66d112aaa6f873d519b52
Author: Trevor McCasland <Trevor McCasland>
Date: Wed Oct 5 17:20:45 2016 -0500

    Remove downgrade

    Removed downgrade from all existing migrations.
    Modified a test that verifies that no migrations have a downgrade.
    Modified test _walk_versions to only do upgrades.
    Removed exceptions from pylint.config

    Related cross-project spec: https://review.openstack.org/152337
    Closes-Bug: #1434103

    Change-Id: I9a7c87ae3f4e2eff3a4a6df881d086d52062dbba

Changed in trove:
status: In Progress → Fix Released

This issue was fixed in the openstack/trove 7.0.0.0b1 development milestone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers